[RESOLVED] 5.1.0 breaks addons in older Firefox

Ask for help about NoScript, no registration needed to post

[RESOLVED] 5.1.0 breaks addons in older Firefox

Postby chickenweed » Sat Sep 30, 2017 12:02 am

I'm using an older Firefox (52.0.2) because I hate the way the new WebExtension stuff breaks all my old favorite plugins or makes them work in ways I dislike (Status-4-Evar, ForecastFox Fixed, FoxClocks to name a few). Yes, yes, I know I need to move on eventually, but I'm just not ready to yet. I like the way things work now and I'm trying to keep it that way as long as I safely can.

The latest NoScript update (5.1.0) completely prevents ForecastFox and FoxClocks from loading into the status bar, and I've had to regress to version 5.0.10 to work around that problem. Is there a setting I can just disable in the newer version(s) of NoScript to regain that functionality or am I just going to have to stay downgraded on NoScript for the time being like I am on Firefox itself?

Thanks for any advice.
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
chickenweed
 

Re: 5.1.0 breaks addons in older Firefox

Postby barbaz » Sat Sep 30, 2017 12:19 am

chickenweed wrote:I'm using an older Firefox (52.0.2) because...

... you aren't aware that Firefox 52 is still supported by Mozilla? - https://www.mozilla.org/firefox/organizations/all/

chickenweed wrote:I like the way things work now and I'm trying to keep it that way as long as I safely can.

With Firefox 52 ESR you can do so until June 2018 if you want.
*Always* check the changelogs BEFORE updating that important software!
Board search is currently partially broken: https://forums.informaction.com/viewtopic.php?f=14&t=21752
Workaround: use your favorite search engine, add site:forums.informaction.com to your query
-
barbaz
Senior Member
 
Posts: 7105
Joined: Sat Aug 03, 2013 5:45 pm

Re: 5.1.0 breaks addons in older Firefox

Postby chickenweed » Sat Sep 30, 2017 12:32 am

OK, thanks for that tip about the ESR version. I wasn't aware of that and have upgraded.

Now, about the question I actually asked... anyone got any advice? Thanks in advance.
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
chickenweed
 

Re: 5.1.0 breaks addons in older Firefox

Postby barbaz » Sat Sep 30, 2017 12:48 am

FWIW, I see it too.

Firefox 52.4.0
new profile

1) Install Status-4-Evar, restart Firefox

2) install FoxClocks

3) install NoScript

4) Customize, move the NoScript toolbar icon to the right of FoxClocks in the status bar

5) restart Firefox

... and FoxClocks is gone. Disabling NoScript, then restarting Firefox, restores it.

Not sure if this is a NoScript bug or not.

Browser Console messages -
Code: Select all
foxclocks.bootstrap._windowListener(): got window load "chrome://devtools/content/webconsole/webconsole.xul"  bootstrap.js:237
foxclocks.bootstrap._sendMessage(): sent startup "chrome://devtools/content/webconsole/webconsole.xul"  bootstrap.js:109
+foxclocks.bootstrap._startup() APP_STARTUP Object { id: "{d37dc5d0-431d-44e5-8c91-49419370ca…", version: "4.2.3", installPath: XPCWrappedNative_NoHelper, resourceURI: XPCWrappedNative_NoHelper, instanceID: Symbol({d37dc5d0-431d-44e5-8c91-49419370caa1}) } XPCWrappedNative_NoHelper { processType: Getter, OS: Getter, QueryInterface: QueryInterface(), inSafeMode: Getter, logConsoleErrors: Getter, XPCOMABI: Getter, widgetToolkit: Getter, processID: Getter, uniqueProcessID: Getter, browserTabsRemoteAutostart: Getter, 27 more… }  bootstrap.js:303
foxclocks.bootstrap._startup(): importing and starting up main module engine.js  bootstrap.js:332
foxclocks.Engine::startup(): starting up on Firefox with reason APP_STARTUP...  engine.js:71
foxclocks.Engine::startup(): waiting for session restore event  engine.js:75
-foxclocks.bootstrap._startup()  bootstrap.js:343
"foxclocks.ZoneManager::loadZoneData(): loaded zone data from chrome://foxclocks-data/content/zones.json"  zonemanager.js:496
foxclocks.ZoneManager::loadZoneData(): loaded zone data from file:///home/******/.mozilla/firefox/********.default/foxclocks/zones.json  zonemanager.js:496
foxclocks.ZoneManager::loadZoneData(): no need to copy builtin data 2016c 2017b  zonemanager.js:540
foxclocks.ZoneManager::_setZoneDatabase(): done: 593 zones  zonemanager.js:695
+foxclocks.Engine::_initUpdateManager()  engine.js:247
foxclocks.UpdateManager::_setUpdateDates(): auto-update enabled: next update 10/6/2017, 8:53:26 PM  updatemanager.js:193
-foxclocks.Engine::_initUpdateManager()  engine.js:275
-foxclocks.ZoneManager::loadZonePicker()  zonemanager.js:652
1506732872497   addons.webextension.{73a6fe31-595d-460b-a920-fcc0f8843232}   WARN   Loading extension '{73a6fe31-595d-460b-a920-fcc0f8843232}': Reading manifest: Error processing permissions.1: Unknown permission "privacy"
"foxclocks.ZoneManager::_loadZonePickerUrl(): loaded zone picker from chrome://foxclocks/locale/zonepicker.xml"  zonemanager.js:720
foxclocks.Engine::startup(): startup done in 566ms  engine.js:138
foxclocks.bootstrap._startup(): startup done for main module engine.js  bootstrap.js:337
HYBRID WebExtension  noscript.js:38:7
NoScript WebExt Ready  noscript.js:38:7
NoScript preferences backup on the WebExtension side  legacy.js:19:11
Old format backup (pre-5.1) cleared  legacy.js:23:15
[Exception... "Failure"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://noscript/content/Restartless.jsm?0.9654144744728165.1506732871862 :: loadIntoWindow :: line 139"  data: no]  (unknown)
Could not overlay chrome://browser/content/browser.xul  Restartless.jsm:170
foxclocks.bootstrap._windowListener(): got window load "chrome://browser/content/browser.xul"  bootstrap.js:237
foxclocks.bootstrap._sendMessage(): sent startup "chrome://browser/content/browser.xul"  bootstrap.js:109
foxclocks.bootstrap._loadIntoWindow(): loading overlay  bootstrap.js:126
S4E Calling updateWindow: {9382a7d8-55cc-4d2c-b8b7-e8087a4ca27f}
foxclocks.bootstrap._loadIntoWindow(): got xul-overlay-merged - waiting for overlay-loaded  bootstrap.js:145
foxclocks.bootstrap._loadIntoWindow(): overlay-loaded exists after mutation  bootstrap.js:152
+foxclocks.Overlay::startup()  foxclocksoverlay.js:173
+foxclocks.Overlay::_setToolbarItem()  foxclocksoverlay.js:269
foxclocks.Overlay::_setToolbarItem(): creating toolbaritem in palette  foxclocksoverlay.js:285
foxclocks.Overlay::_setToolbarItem(): toolbaritem added to palette  foxclocksoverlay.js:315
foxclocks.Overlay::_setToolbarItem(): added to toolbar based on prefs Object { toolbarId: "nav-bar-customization-target", beforeId: null } true  foxclocksoverlay.js:366
-foxclocks.Overlay::_setToolbarItem()  foxclocksoverlay.js:374
foxclocks.bootstrap._sendMessage(): sent overlayready "chrome://browser/content/browser.xul"  bootstrap.js:109
foxclocks.Overlay::startup(): bad addon info at index 1  foxclocksoverlay.js:197
Warning: ‘nsIOService::NewChannelFromURI()’ deprecated, please use ‘nsIOService::NewChannelFromURI2()’  utils.js:413:13
+foxclocks.Overlay::createClocks()  foxclocksoverlay.js:683
Warning: ‘nsIOService::NewChannelFromURI()’ deprecated, please use ‘nsIOService::NewChannelFromURI2()’ utils.js:413:13
-foxclocks.Overlay::createClocks()  foxclocksoverlay.js:910
-foxclocks.Overlay::startup()  foxclocksoverlay.js:228
S4E Calling updateWindow: {9382a7d8-55cc-4d2c-b8b7-e8087a4ca27f}
foxclocks.Engine::startup(): got session restore event  engine.js:81

NoScript preferences backup on the WebExtension side  legacy.js:19:11
*Always* check the changelogs BEFORE updating that important software!
Board search is currently partially broken: https://forums.informaction.com/viewtopic.php?f=14&t=21752
Workaround: use your favorite search engine, add site:forums.informaction.com to your query
-
barbaz
Senior Member
 
Posts: 7105
Joined: Sat Aug 03, 2013 5:45 pm

Re: 5.1.0 breaks addons in older Firefox

Postby Guest » Sun Oct 01, 2017 12:39 am

Examples of Extensions not working right with NoScript 5.1.1 (Firefox ESR 52.4.0)

Cipherfox 4.1.1
IsAdmin 2.5.2
RefControl 0.8.17.1-signed.1-signed
RequestPolicy Continued 0.5.32

All working with 5.0.10.
Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0 Cyberfox/52.4.0
Guest
 

Re: 5.1.0 breaks addons in older Firefox

Postby barbaz » Sat Oct 07, 2017 4:08 am

Do you still see the problem with NoScript latest development build 5.1.2rc2?
*Always* check the changelogs BEFORE updating that important software!
Board search is currently partially broken: https://forums.informaction.com/viewtopic.php?f=14&t=21752
Workaround: use your favorite search engine, add site:forums.informaction.com to your query
-
barbaz
Senior Member
 
Posts: 7105
Joined: Sat Aug 03, 2013 5:45 pm

Re: 5.1.0 breaks addons in older Firefox

Postby chickenweed » Mon Oct 09, 2017 3:38 am

I just tried 5.1.2rc3 and the problem seems to have been fixed. Yay! Thanks for the update.
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
chickenweed
 


Return to NoScript Support

Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 6 guests